Show / Hide Table of Contents

# Class Character

This class represents the base for non-static entities.

##### Inheritance

System.Object
GameObject
Character
Npc
BattleChara

##### Implements

System.IEquatable<GameObject>

##### Inherited Members

GameObject.InvalidGameObjectId
GameObject.Address
GameObject.IsValid(GameObject)
GameObject.IsValid()
GameObject.IEquatable<GameObject>.Equals(GameObject)
GameObject.Equals(Object)
GameObject.GetHashCode()
GameObject.Name
GameObject.ObjectId
GameObject.DataId
GameObject.OwnerId
GameObject.ObjectKind
GameObject.SubKind
GameObject.YalmDistanceX
GameObject.YalmDistanceZ
GameObject.Position
GameObject.Rotation
GameObject.HitboxRadius
GameObject.TargetObject
GameObject.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.ClientState.Objects.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class Character : GameObject, IEquatable<GameObject>

### Properties

| Improve this Doc View Source

#### ClassJob

Gets the ClassJob of this Chara.

##### Declaration

    public ExcelResolver<ClassJob> ClassJob { get; }

##### Property Value

Type | Description
--- | ---
ExcelResolver<Lumina.Excel.GeneratedSheets.ClassJob> |

| Improve this Doc View Source

#### CompanyTag

Gets the Free Company tag of this chara.

##### Declaration

    public SeString CompanyTag { get; }

##### Property Value

Type | Description
--- | ---
SeString |

| Improve this Doc View Source

#### CurrentCp

Gets the current CP of this Chara.

##### Declaration

    public uint CurrentCp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentGp

Gets the current GP of this Chara.

##### Declaration

    public uint CurrentGp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentHp

Gets the current HP of this Chara.

##### Declaration

    public uint CurrentHp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### CurrentMp

Gets the current MP of this Chara.

##### Declaration

    public uint CurrentMp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### Customize

Gets a byte array describing the visual appearance of this Chara. Indexed by CustomizeIndex.

##### Declaration

    public byte[] Customize { get; }

##### Property Value

Type | Description
--- | ---
System.Byte[] |

| Improve this Doc View Source

#### Level

Gets the level of this Chara.

##### Declaration

    public byte Level { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### MaxCp

Gets the maximum CP of this Chara.

##### Declaration

    public uint MaxCp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxGp

Gets the maximum GP of this Chara.

##### Declaration

    public uint MaxGp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxHp

Gets the maximum HP of this Chara.

##### Declaration

    public uint MaxHp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### MaxMp

Gets the maximum MP of this Chara.

##### Declaration

    public uint MaxMp { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### NameId

Gets the name ID of the character.

##### Declaration

    public uint NameId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### StatusFlags

Gets the status flags.

##### Declaration

    public StatusFlags StatusFlags { get; }

##### Property Value

Type | Description
--- | ---
StatusFlags |

| Improve this Doc View Source

#### Struct

Gets the underlying structure.

##### Declaration

    protected Character*Struct { get; }

##### Property Value

Type | Description
--- | ---
Character* |

| Improve this Doc View Source

#### TargetObjectId

Gets the target object ID of the character.

##### Declaration

    public override uint TargetObjectId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt32 |

##### Overrides

GameObject.TargetObjectId

### Implements

System.IEquatable<T>